Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class DocxCellHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.DocxCellHelper

    public class DocxCellHelper

extends BaseHelper

Version:
  $Id: DocxCellHelper.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`DocxCellHelper(java.io.Writer writer)`

Method Summary
`void` | `exportFooter()`
`void` | `exportHeader(JRPrintElement element, JRExporterGridCell gridCell)`
`void` | `exportProps(JRExporterGridCell gridCell)`
`void` | `exportProps(JRPrintElement element, JRExporterGridCell gridCell)`
`DocxBorderHelper` | `getBorderHelper()`
`static java.lang.String` | `getVerticalAlignment(VerticalAlignEnum verticalAlignment)`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocxCellHelper

    public DocxCellHelper(java.io.Writer writer)

Method Detail

### getBorderHelper

    public DocxBorderHelper getBorderHelper()

### exportHeader

    public void exportHeader(JRPrintElement element,
                             JRExporterGridCell gridCell)

### exportFooter

    public void exportFooter()

### exportProps

    public void exportProps(JRPrintElement element,
                            JRExporterGridCell gridCell)

### exportProps

    public void exportProps(JRExporterGridCell gridCell)

### getVerticalAlignment

    public static java.lang.String getVerticalAlignment(VerticalAlignEnum verticalAlignment)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com